Subject: Re: git rebase: yet another newbie quest.

From: Sergey Organov <[email-masked]>
Date: Mon, 08 Sep 2014 17:51:58 +0400

John Keeping <[email-masked]> writes:

> On Fri, Sep 05, 2014 at 02:28:46PM +0400, Sergey Organov wrote:
> ...
>> # Then I realize I need more changes and it gets complex enough to
>> # warrant a topic branch. I create the 'topic' branch that will track
>> # 'master' branch and reset 'master' back to its origin (remote
>> # origin/master in original scenario).
>> 
>> git checkout -b topic
>> git branch --force master origin_master
>
> This line is the problem, because the purpose of the `--fork-point`
> argument to `git rebase` is designed to help people recover from
> upstream rebases, which is essentially what you create here.  So when
> rebase calculates the local changes it realises (from the reflog) that
> the state of master before this command was before you created the
> branch, so only commits after it should be picked.

Thanks, but I did realize it myself (after I spent a few hours figuiring
it out). The question is what should I have done instead?

-- 
Sergey.